Classes | Namespaces | Typedefs | Enumerations | Functions
mesh.h File Reference
`#include "../version.h"`
`#include <bitset>`
`#include <cassert>`
`#include <cstring>`
`#include <vector>`
`#include "../far/topologyRefiner.h"`
`#include "../far/patchTableFactory.h"`
`#include "../far/stencilTable.h"`
`#include "../far/stencilTableFactory.h"`
`#include "../osd/bufferDescriptor.h"`

Go to the source code of this file.

## Classes
class | MeshInterface< PATCH_TABLE >
class | EvaluatorCacheT< EVALUATOR >
struct | EvaluatorCacheT< EVALUATOR >::Entry
class | Mesh< VERTEX_BUFFER, STENCIL_TABLE, EVALUATOR, PATCH_TABLE, DEVICE_CONTEXT >

## Namespaces
| OpenSubdiv
| OpenSubdiv::OPENSUBDIV_VERSION
| OpenSubdiv::OPENSUBDIV_VERSION::Osd

## Typedefs
typedef std::bitset< NUM_MESH_BITS > | MeshBitset

## Enumerations
enum | MeshBits { MeshAdaptive = 0, MeshInterleaveVarying = 1, MeshFVarData = 2, MeshFVarAdaptive = 3, MeshUseSingleCreasePatch = 4, MeshUseInfSharpPatch = 5, MeshEndCapBSplineBasis = 6, MeshEndCapGregoryBasis = 7, MeshEndCapLegacyGregory = 8, NUM_MESH_BITS = 9 }

## Functions
template<typename STENCIL_TABLE , typename SRC_STENCIL_TABLE , typename DEVICE_CONTEXT >
STENCIL_TABLE const * | convertToCompatibleStencilTable (SRC_STENCIL_TABLE const *table, DEVICE_CONTEXT *context)
template<>
Far::StencilTable const * | convertToCompatibleStencilTable< Far::StencilTable, Far::StencilTable, void > (Far::StencilTable const *table, void *)
template<>
Far::LimitStencilTable const * | convertToCompatibleStencilTable< Far::LimitStencilTable, Far::LimitStencilTable, void > (Far::LimitStencilTable const *table, void *)
template<>
Far::StencilTable const * | convertToCompatibleStencilTable< Far::StencilTable, Far::StencilTable, ID3D11DeviceContext > (Far::StencilTable const *table, ID3D11DeviceContext *)